/*=========================VIEW=========================*/
.view.view-news.view-id-news .view-content.row { margin: 0 -15px; row-gap: 30px; }
.view.view-news.view-id-news .view-content.row .views-row { padding: 0 15px; }

@media screen and (max-width: 1199px) {
    .view.view-news.view-id-news .view-content.row { margin: 0 -12px; row-gap: 20px; }
    .view.view-news.view-id-news .view-content.row .views-row { padding: 0 12px; }
}
/*======================================================*/

.node.node--type-news.clearfix::after { display: none; }

/*=========================TEASER=========================*/
.node.node--type-news.node--view-mode-teaser {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.node.node--type-news.node--view-mode-teaser .field.field--name-field-image-news a { display: block; border-radius: 30px; overflow: hidden; }
.node.node--type-news.node--view-mode-teaser .field.field--name-field-image-news a img { width: 100%; height: auto; object-fit: cover; transition: all 0.4s ease; }
.node.node--type-news.node--view-mode-teaser:hover .field.field--name-field-image-news a img { scale: 1.1; }

.node.node--type-news.node--view-mode-teaser .field.field--name-field-date { font: 500 15px var(--font-family); text-transform: uppercase; text-align: center; color: var(--primary-color); margin-top: 29px; }

.node.node--type-news.node--view-mode-teaser .field.field--name-node-title { font: 600 20px var(--font-family); text-transform: uppercase; text-align: center; margin-top: 22px; max-width: 242px; }

.node.node--type-news.node--view-mode-teaser .field.field--name-body { font: 400 16px var(--font-family); text-align: center; margin-top: 22px; max-width: 315px; }

.node.node--type-news.node--view-mode-teaser .field.field--name-node-link a { display: flex; flex-direction: row; align-items: center; gap: 11px; font: 600 16px var(--font-family); text-transform: uppercase; text-align: center; color: #010101; margin-top: 29px; }
.node.node--type-news.node--view-mode-teaser .field.field--name-node-link a:hover { color: var(--primary-color); }
.node.node--type-news.node--view-mode-teaser .field.field--name-node-link a::after {
    content: '';
    width: 24px;
    height: 24px;
    -webkit-mask: url(/sites/all/themes/vesta_theme/image/icons/arrow-right-black.svg) no-repeat;
    mask: url(/sites/all/themes/vesta_theme/image/icons/arrow-right-black.svg) no-repeat;
    -webkit-mask-size: cover;
    mask-size: cover;
    background-color: #010101;
    transition: background-color 0.4s ease;
}
.node.node--type-news.node--view-mode-teaser .field.field--name-node-link a:hover::after { background-color: var(--primary-color); }

@media screen and (max-width: 1199px) {
}
@media screen and (max-width: 991px) {
    #news-block .view.view-news.view-id-news .view-footer { margin-top: 60px; }
}
@media screen and (max-width: 767px) {
    #news-block .view.view-news.view-id-news .view-footer { margin-top: 45px; }
    .node.node--type-news.node--view-mode-teaser .field.field--name-node-link a,
    .node.node--type-news.node--view-mode-teaser .field.field--name-field-date { margin-top: 17px; }
    .node.node--type-news.node--view-mode-teaser .field.field--name-body,
    .node.node--type-news.node--view-mode-teaser .field.field--name-node-title { margin-top: 15px; }
    .node.node--type-news.node--view-mode-teaser .field.field--name-node-title { font-size: 18px; }
}
@media screen and (max-width: 575px) {
}
/*========================================================*/

/*=========================FULL=========================*/
.node.node--type-news.node--view-mode-full { display: flex; flex-direction: row; gap: 20px; }
.node.node--type-news.node--view-mode-full .group-left { width: 35%; }
.node.node--type-news.node--view-mode-full .group-left .field.field--name-field-image-news img { width: 100%; height: auto; object-fit: cover; border-radius: 30px; overflow: hidden; }

.node.node--type-news.node--view-mode-full .group-right { width: 65%; }
.node.node--type-news.node--view-mode-full .group-right .field.field--name-field-date { opacity: .8; margin-bottom: 12px; }

@media screen and (max-width: 1199px) {
}
@media screen and (max-width: 991px) {
}
@media screen and (max-width: 767px) {
    .node.node--type-news.node--view-mode-full { flex-direction: column; }
    .node.node--type-news.node--view-mode-full .group-left,
    .node.node--type-news.node--view-mode-full .group-right { width: 100%; }
    .node.node--type-news.node--view-mode-full .group-left .field.field--name-field-image-news img { max-height: 260px; }
}
@media screen and (max-width: 575px) {
}
/*======================================================*/
